<html>
	<head>
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
		<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
		<title>Ejercicio regiones y comunas</title>
	</head>
	<body>
		<!--<script src="leerJSON.js"></script>-->
		<script>
			//let regiones = [];
			$.getJSON('/regionescomunas.json', function(data) {

				const cont_row1 = document.getElementById('cont-row1');

				for(let region of data.regions){
					//regiones.push(region)
					cont_row1.innerHTML += `
						<div class="row mt-5 " >
							<div class="col-md-6"> <h3> Region de ${region.name} </h3><hr> </div>
							<div class="col-md-6"> <h3>${region.number}</h3><hr> </div>
						</div>
						<div class="row" >
            		`
            
					for (let commune of region.communes) {
						cont_row1.innerHTML += `
						
							<div class="col-md-3 mb-3">
								<div class="card-header">Comuna</div>
									<div class="card text-center bg-dark text-white" >
										<div class="card-body">
											<h6 class="card-title "font-weight-bold>
												${commune.name} ${commune.identifier}                              
											</h6>
										</div>
									</div>
								</div>
							</div>
						
						`
					}
            		cont_row1.innerHTML += "</div>"
            
				}
			});
			
		
			
		</script>
		


		<div class="container-fluid" id="contenedor-regiones">
		
			<div class="row" id="cont-row1">
			

			</div>

		</div>
		
	</body>
</html>